Bug 208523 - comms/telldus-core: Fix build with libc++ 3.8.0
Summary: comms/telldus-core: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-04-04 18:35 UTC by Dimitry Andric
Modified: 2016-04-05 06:58 UTC (History)
1 user (show)

See Also:
johan: maintainer-feedback+


Attachments
Fix string insertion in comms/telldus-core (1.15 KB, patch)
2016-04-04 18:35 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-04-04 18:35:51 UTC
Created attachment 168975 [details]
Fix string insertion in comms/telldus-core

During the exp-run in bug 208158, it was found that comms/telldus-core gives errors with libc++ 3.8.0 [1]:

/wrkdirs/usr/ports/comms/telldus-core/work/telldus-core-2.1.2/service/ProtocolNexa.cpp:59:8: error: call to member function 'insert' is ambiguous
                        str.insert(0, 1, 2);  // Repeat two times
                        ~~~~^~~~~~

This is because the third argument to this std::string method is supposed to be a char, not an integer.  Fix it by using '\x2' instead.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/telldus-core-2.1.2_1.log
Comment 1 Johan Ström 2016-04-04 18:38:08 UTC
Looks good, thanks!
Comment 2 commit-hook freebsd_committer 2016-04-04 19:01:12 UTC
A commit references this bug:

Author: dim
Date: Mon Apr  4 19:00:23 UTC 2016
New revision: 412524
URL: https://svnweb.freebsd.org/changeset/ports/412524

Log:
  During the exp-run in bug 208158, it was found that comms/telldus-core
  gives errors with libc++ 3.8.0 [1]:

  /wrkdirs/usr/ports/comms/telldus-core/work/telldus-core-2.1.2/service/ProtocolNexa.cpp:59:8: error: call to member function 'insert' is ambiguous
                          str.insert(0, 1, 2);  // Repeat two times
                          ~~~~^~~~~~

  This is because the third argument to this std::string method is
  supposed to be a char, not an integer.  Fix it by using '\x2' instead.

  [1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/telldus-core-2.1.2_1.log

  Approved by:	johan@stromnet.se (maintainer)
  PR:		208523
  MFH:		2016Q2

Changes:
  head/comms/telldus-core/files/patch-service-ProtocolNexa.cpp
Comment 3 commit-hook freebsd_committer 2016-04-05 06:58:04 UTC
A commit references this bug:

Author: dim
Date: Tue Apr  5 06:57:51 UTC 2016
New revision: 412545
URL: https://svnweb.freebsd.org/changeset/ports/412545

Log:
  MFH: r412524

  During the exp-run in bug 208158, it was found that comms/telldus-core
  gives errors with libc++ 3.8.0 [1]:

  /wrkdirs/usr/ports/comms/telldus-core/work/telldus-core-2.1.2/service/ProtocolNexa.cpp:59:8: error: call to member function 'insert' is ambiguous
                          str.insert(0, 1, 2);  // Repeat two times
                          ~~~~^~~~~~

  This is because the third argument to this std::string method is
  supposed to be a char, not an integer.  Fix it by using '\x2' instead.

  [1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/telldus-core-2.1.2_1.log

  Approved by:	portmgr (junovitch)
  Approved by:	johan@stromnet.se (maintainer)
  PR:		208523

Changes:
_U  branches/2016Q2/
  branches/2016Q2/comms/telldus-core/files/patch-service-ProtocolNexa.cpp